%global dlrn_nvr nova-20.4.1.dev13-1.20221005193229.1ee93b9
%global dlrn 1
%define upstream_version 20.4.1.dev13
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0
%global rhosp 1
%if 0%{?rhosp} == 0
%global distro     RDO
%else
%global distro     Red Hat
%endif

# Macros for QEMU and libvirt versions
# For Fedora, stick to minimum versions that upstream Nova requires.
# The below versions map onto MIN_{LIBVIRT,QEMU}_VERSION for 'Stein'
# release.  This way, it also won't break RDO's Fedora builders:
%if 0%{?fedora}
%global qemu_version     2.8.0
%global libvirt_version  3.0.0
%endif
# For EL7 and EL8, use the minimum supported versions (which are
# also validated by QE):
%if 0%{?rhel} == 7
%global qemu_version     2.10.0
%global libvirt_version  3.9.0
%endif
%if 0%{?rhel} == 8
%global qemu_version     3.1.0
%global libvirt_version  5.0.0
%endif

%global common_desc \
OpenStack Compute (codename Nova) is open source software designed to \
provision and manage large networks of virtual machines, creating a \
redundant and scalable cloud computing platform. It gives you the \
software, control panels, and APIs required to orchestrate a cloud, \
including running instances, managing networks, and controlling access \
through users and projects. OpenStack Compute strives to be both \
hardware and hypervisor agnostic, currently supporting a variety of \
standard hardware configurations and seven major hypervisors.

%if 0%{?rhosp} && 0%{?rhel} > 7
%global with_novanet 0
%else
%global with_novanet 1
%endif

Name:             openstack-nova
# Liberty semver reset
# https://review.openstack.org/#/q/I6a35fa0dda798fad93b804d00a46af80f08d475c,n,z
Epoch:            1
Version: 20.4.1
Release: 1.20221005193232%{?dist}
Summary:          OpenStack Compute (nova)

License:          ASL 2.0
URL:              http://openstack.org/projects/compute/
Source0: nova-20.4.1.dev13-1.20221005193229.1ee93b9.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=1ee93b9cd7139faa96cdbb8b86caee72872626fb
Patch0001: 0001-Functional-reproduction-for-bug-1845291.patch
Patch0002: 0002-Reset-forced_destination-before-migration-at-a-prope.patch
Patch0003: 0003-Add-func-test-for-required-PCI-NUMA-policy.patch
Patch0004: 0004-support-pci-numa-affinity-policies-in-flavor-and-ima.patch
Patch0005: 0005-images-Move-qemu-img-info-calls-into-privsep.patch
Patch0006: 0006-images-Allow-the-output-format-of-qemu-img-info-to-b.patch
Patch0007: 0007-virt-Pass-request-context-to-extend_volume.patch
Patch0008: 0008-libvirt-Remove-native-LUKS-compat-code.patch
Patch0009: 0009-libvirt-Correctly-resize-encrypted-LUKSv1-volumes.patch
Patch0010: 0010-libvirt-Check-the-guest-support-UEFI.patch
Patch0011: 0011-libvirt-Use-virDomainBlockCopy-to-swap-volumes-when-.patch
Patch0012: 0012-workarounds-Add-option-to-disable-native-LUKSv1-decr.patch
Patch0013: 0013-workarounds-Add-option-to-locally-attach-RBD-volumes.patch
Patch0014: 0014-Add-a-placement-audit-command.patch
Patch0015: 0015-Stop-using-NoAuthMiddleware-in-tests.patch
Patch0016: 0016-Repro-bug-1845530-versioned-discovery-is-authed.patch
Patch0017: 0017-Allow-versioned-discovery-unauthenticated.patch
Patch0018: 0018-libvirt-Drop-the-downstream-only-arch-facilities-CPU.patch
Patch0019: 0019-Add-regression-test-for-bug-1895696.patch
Patch0020: 0020-Create-volume-attachment-during-boot-from-volume-in-.patch
Patch0021: 0021-compute-Skip-cinder_encryption_key_id-check-when-boo.patch
Patch0022: 0022-Only-allow-one-scheduler-service-in-tests.patch
Patch0023: 0023-func-tests-move-_run_periodics-into-base-class.patch
Patch0024: 0024-Helper-to-start-computes-with-different-HostInfos.patch
Patch0025: 0025-tests-Add-reproducer-for-bug-1879878.patch
Patch0026: 0026-Add-generic-reproducer-for-bug-1879878.patch
Patch0027: 0027-Don-t-unset-Instance.old_flavor-new_flavor-until-nec.patch
Patch0028: 0028-Move-confirm-resize-under-semaphore.patch
Patch0029: 0029-Move-revert-resize-under-semaphore.patch
Patch0030: 0030-Allocate-mdevs-when-resizing-or-reverting-resize.patch
Patch0031: 0031-Pass-allocations-to-virt-drivers-when-resizing.patch
Patch0032: 0032-Add-a-workaround-config-toggle-to-refuse-ceph-image-.patch
Patch0033: 0033-Use-subqueryload-instead-of-joinedload-for-system_-m.patch
Patch0034: 0034-Prevent-archiving-of-pci_devices-records-because-of-.patch
Patch0035: 0035-Add-missing-exception.patch
Patch0036: 0036-Validate-id-as-integer-for-os-aggregates.patch
Patch0037: 0037-libvirt-Skip-encryption-metadata-lookups-if-secret-a.patch
Patch0038: 0038-Add-regression-test-for-bug-1899649.patch
Patch0039: 0039-compute-Don-t-detach-volumes-when-RescheduledExcepti.patch
Patch0040: 0040-Omit-resource-inventories-from-placement-update-if-z.patch
Patch0041: 0041-libvirt-video.vram-property-must-be-an-integer.patch
Patch0042: 0042-Correctly-disable-greendns.patch
Patch0043: 0043-Test-for-disabling-greendns.patch
Patch0044: 0044-utils-Remove-periods-from-instance-hostnames.patch
Patch0045: 0045-libvirt-Use-specific-user-when-probing-encrypted-rbd.patch
Patch0046: 0046-only-wait-for-plugtime-events-in-pre-live-migration.patch
Patch0047: 0047-libvirt-Only-ask-tpool.Proxy-to-autowrap-vir-classes.patch
Patch0048: 0048-Disallow-CONF.compute.max_disk_devices_to_attach-0.patch
Patch0049: 0049-Make-_rebase_with_qemu_img-generic.patch
Patch0050: 0050-Use-absolute-path-during-qemu-img-rebase.patch
Patch0051: 0051-Centralize-sqlite-FK-constraint-enforcement.patch
Patch0052: 0052-Add-functional-test-for-bug-1837995.patch
Patch0053: 0053-Dynamically-archive-FK-related-records-in-archive_de.patch
Patch0054: 0054-Initialize-global-data-separately-and-run_once-in-WS.patch
Patch0055: 0055-Reset-global-wsgi-app-state-in-unit-test.patch
Patch0056: 0056-add-functional-regression-test-for-bug-1888395.patch
Patch0057: 0057-Set-migrate_data.vifs-only-when-using-multiple-port-.patch
Patch0058: 0058-guestfs-With-libguestfs-v1.41.1-decode-returned-byte.patch
Patch0059: 0059-neutron-Get-only-ID-and-name-of-the-SGs-from-Neutron.patch
Patch0060: 0060-Reproduce-bug-1897528.patch
Patch0061: 0061-Ignore-PCI-devices-with-32bit-domain.patch
Patch0062: 0062-Downstream-only-Resolve-pep8-issues.patch
Patch0063: 0063-virt-Add-destroy_secrets-kwarg-to-destroy-and-cleanu.patch
Patch0064: 0064-Detach-is-broken-for-multi-attached-fs-based-volumes.patch
Patch0065: 0065-Handle-unset-connection_info.patch
Patch0066: 0066-Trival-Change-Remove-redundant-code-in-instance-dele.patch
Patch0067: 0067-libvirt-Do-not-destroy-volume-secrets-during-_hard_r.patch
Patch0068: 0068-Test-numa-and-vcpu-topologies-bug-1910466.patch
Patch0069: 0069-Fix-max-cpu-topologies-with-numa-affinity.patch
Patch0070: 0070-Honor-neutron-http_retries-in-the-manual-client.patch
Patch0071: 0071-Reject-open-redirection-in-the-console-proxy.patch
Patch0072: 0072-Reproducer-unit-test-for-bug-1860312.patch
Patch0073: 0073-Allow-deletion-of-compute-service-with-no-compute-no.patch
Patch0074: 0074-nova-manage-Introduce-volume-show-refresh-get_connec.patch
Patch0075: 0075-Sanity-check-instance-mapping-during-scheduling.patch
Patch0076: 0076-Revert-Reject-open-redirection-in-the-console-proxy.patch
Patch0077: 0077-Reject-open-redirection-in-the-console-proxy.patch
Patch0078: 0078-address-open-redirect-with-3-forward-slashes.patch
Patch0079: 0079-Handle-disabled-CPU-features-to-fix-live-migration-f.patch
Patch0080: 0080-Revert-address-open-redirect-with-3-forward-slashes.patch
Patch0081: 0081-address-open-redirect-with-3-forward-slashes.patch
Patch0082: 0082-Add-functional-regression-test-for-bug-1853009.patch
Patch0083: 0083-Clear-rebalanced-compute-nodes-from-resource-tracker.patch
Patch0084: 0084-Invalidate-provider-tree-when-compute-node-disappear.patch
Patch0085: 0085-Prevent-deletion-of-a-compute-node-belonging-to-anot.patch
Patch0086: 0086-Fix-inactive-session-error-in-compute-node-creation.patch
Patch0087: 0087-Ensure-MAC-addresses-characters-are-in-the-same-case.patch
Patch0088: 0088-libvirt-Add-announce-self-post-live-migration-workar.patch
Patch0089: 0089-api-Reject-duplicate-port-IDs-in-server-create.patch
Patch0090: 0090-libvirt-Simplify-device_path-check-in-_detach_encryp.patch
Patch0091: 0091-Fix-request-path-to-query-a-resource-provider-by-uui.patch
Patch0092: 0092-libvirt-Add-a-workaround-to-skip-compareCPU-on-desti.patch
Patch0093: 0093-Lookup-nic-feature-by-PCI-address.patch
Patch0094: 0094-Ignore-plug_vifs-on-the-ironic-driver.patch
Patch0095: 0095-fake-Ensure-need_legacy_block_device_info-returns-Fa.patch
Patch0096: 0096-tests-work-around-malformed-serial-XML.patch
Patch0097: 0097-functional-Use-tempdir-for-CONF.instances_path.patch
Patch0098: 0098-Add-a-regression-test-for-bug-1939545.patch
Patch0099: 0099-compute-Ensure-updates-to-bdms-during-pre_live_migra.patch
Patch0100: 0100-func-Add-live-migration-rollback-volume-attachment-t.patch
Patch0101: 0101-fup-Assert-state-of-connection_info-during-LM-rollba.patch
Patch0102: 0102-Reproduce-bug-1944759.patch
Patch0103: 0103-Store-old_flavor-already-on-source-host-during-resiz.patch
Patch0104: 0104-libvirt-Abort-live-migration-job-when-monitoring-fai.patch
Patch0105: 0105-stable-only-cve-Check-VMDK-create-type-against-an-al.patch
Patch0106: 0106-Move-check-cherry-picks-test-to-gate-n-v-check.patch
Patch0107: 0107-stable-only-Cap-bandit-to-1.6.2-and-raise-hacking-fl.patch
Patch0108: 0108-stable-only-Pin-virtualenv-and-setuptools.patch
Patch0109: 0109-stable-only-Add-binary-test-dependency-python3-devel.patch
Patch0110: 0110-DONWSTREAM-ONLY-Disable-unsupported-virt-drivers-uni.patch
Patch0111: 0111-DOWNSTREAM-ONLY-Pass-output_format-json-to-qemu_img_.patch
Patch0112: 0112-Use-force-True-for-os-brick-disconnect-during-delete.patch
Patch0113: 0113-Enable-use-of-service-user-token-with-admin-context.patch

#

Source1:          nova-dist.conf
Source6:          nova.logrotate

Source10:         openstack-nova-api.service
Source12:         openstack-nova-compute.service
%if 0%{?with_novanet}
Source13:         openstack-nova-network.service
%endif
Source15:         openstack-nova-scheduler.service
Source18:         openstack-nova-xvpvncproxy.service
Source19:         openstack-nova-console.service
Source25:         openstack-nova-metadata-api.service
Source26:         openstack-nova-conductor.service
Source28:         openstack-nova-spicehtml5proxy.service
Source29:         openstack-nova-novncproxy.service
Source31:         openstack-nova-serialproxy.service
Source32:         openstack-nova-os-compute-api.service

Source22:         nova-ifc-template
Source24:         nova-sudoers
Source30:         openstack-nova-novncproxy.sysconfig
Source34:         policy.json

Source35:         nova_migration-sudoers
Source36:         nova-ssh-config
Source37:         nova-migration-wrapper
Source38:         nova_migration_identity
Source39:         nova_migration_authorized_keys
Source40:         nova_migration-rootwrap.conf
Source41:         nova_migration-rootwrap_cold_migration

BuildArch:        noarch
BuildRequires:    openstack-macros
BuildRequires:    intltool
BuildRequires:    python%{pyver}-devel
BuildRequires:    git
BuildRequires:    python%{pyver}-oslo-cache
BuildRequires:    python%{pyver}-os-traits >= 0.16.0
BuildRequires:    python%{pyver}-setuptools
BuildRequires:    python%{pyver}-netaddr
BuildRequires:    python%{pyver}-pbr
BuildRequires:    python%{pyver}-six
BuildRequires:    python%{pyver}-oslo-i18n
BuildRequires:    python%{pyver}-cryptography >= 2.1
BuildRequires:    python%{pyver}-oslo-policy
# Required for unit tests
BuildRequires:    python%{pyver}-barbicanclient
BuildRequires:    python%{pyver}-ddt
BuildRequires:    python%{pyver}-ironicclient
BuildRequires:    python%{pyver}-mox3
BuildRequires:    python%{pyver}-os-testr
BuildRequires:    python%{pyver}-os-vif
BuildRequires:    python%{pyver}-oslo-rootwrap
BuildRequires:    python%{pyver}-oslotest
BuildRequires:    python%{pyver}-osprofiler
BuildRequires:    python%{pyver}-subunit
BuildRequires:    python%{pyver}-testrepository
BuildRequires:    python%{pyver}-testresources
BuildRequires:    python%{pyver}-testscenarios
BuildRequires:    python%{pyver}-tooz
BuildRequires:    python%{pyver}-oslo-vmware
BuildRequires:    python%{pyver}-cursive
BuildRequires:    python%{pyver}-os-service-types
BuildRequires:    python%{pyver}-os-resource-classes

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:    python-requests-mock
%else
BuildRequires:    python%{pyver}-requests-mock
BuildRequires:    /usr/bin/pathfix.py
%endif

Requires:         openstack-nova-compute = %{epoch}:%{version}-%{release}
Requires:         openstack-nova-scheduler = %{epoch}:%{version}-%{release}
Requires:         openstack-nova-api = %{epoch}:%{version}-%{release}
%if 0%{?with_novanet}
Requires:         openstack-nova-network = %{epoch}:%{version}-%{release}
%endif
Requires:         openstack-nova-conductor = %{epoch}:%{version}-%{release}
Requires:         openstack-nova-console = %{epoch}:%{version}-%{release}
Requires:         openstack-nova-novncproxy = %{epoch}:%{version}-%{release}
Requires:         openstack-nova-migration = %{epoch}:%{version}-%{release}


%description
%{common_desc}

%package common
Summary:          Components common to all OpenStack Nova services
Obsoletes:        openstack-nova-cert <= 1:16.0.0-1
# nova-cells has been retired in train
Obsoletes:        openstack-nova-cells < 1:20.0.0

Requires:         python%{pyver}-nova = %{epoch}:%{version}-%{release}
%if 0%{?rhel} && 0%{?rhel} < 8
%{?systemd_requires}
%else
%{?systemd_ordering} # does not exist on EL7
%endif
Requires(pre):    shadow-utils
BuildRequires:    systemd
# Required to build nova.conf.sample
BuildRequires:    python%{pyver}-castellan >= 0.16.0
BuildRequires:    python%{pyver}-glanceclient
BuildRequires:    python%{pyver}-keystonemiddleware
BuildRequires:    python%{pyver}-microversion-parse >= 0.2.1
BuildRequires:    python%{pyver}-os-brick
BuildRequires:    python%{pyver}-oslo-db
BuildRequires:    python%{pyver}-oslo-reports
BuildRequires:    python%{pyver}-oslo-service
BuildRequires:    python%{pyver}-oslo-versionedobjects
BuildRequires:    python%{pyver}-paramiko
# Required to compile translation files
BuildRequires:    python%{pyver}-babel

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:    python-lxml
BuildRequires:    python-websockify
%else
BuildRequires:    python%{pyver}-lxml
BuildRequires:    python%{pyver}-websockify
%endif


# remove old service subpackage
Obsoletes: %{name}-objectstore


%description common
%{common_desc}

This package contains scripts, config and dependencies shared
between all the OpenStack nova services.


%package compute
Summary:          OpenStack Nova Virtual Machine control service

Requires:         openstack-nova-common = %{epoch}:%{version}-%{release}
Requires:         curl
Requires:         iscsi-initiator-utils
Requires:         iptables
Requires:         iptables-services
Requires:         ipmitool
Requires:         /usr/bin/virsh
%if 0%{?rhel}==0
Requires:         libvirt-daemon-lxc
%endif
Requires:         openssh-clients
Requires:         rsync
Requires:         lvm2
Requires:         python%{pyver}-cinderclient >= 3.3.0
Requires:         genisoimage
# Ensure that the correct versions of QEMU binary and libvirt are
# shipped based on distribution.
%if 0%{?fedora}
Requires(pre): qemu-kvm-core >= %{qemu_version}
Requires(pre): qemu-block-rbd >= %{qemu_version}
Requires(pre): qemu-block-ssh >= %{qemu_version}
Requires(pre): python3-libvirt >= %{libvirt_version}
Requires(pre): libvirt-daemon-driver-nodedev >= %{libvirt_version}
Requires(pre): libvirt-daemon-driver-nwfilter >= %{libvirt_version}
Requires(pre): libvirt-daemon-driver-secret >= %{libvirt_version}
Requires(pre): libvirt-daemon-driver-qemu >= %{libvirt_version}
Requires(pre): libvirt-daemon-driver-storage-core >= %{libvirt_version}
%endif
# NOTE: EL-7 package is called 'qemu-kvm-ev', but it has a compatiblity
#       "Provides: qemu-kvm-rhev", so it'll do the right thing, that's
#       why we're not special-casing CentOS here.
%if 0%{?rhel} == 7
Requires(pre): qemu-kvm-rhev >= %{qemu_version}
Requires(pre): libvirt-python >= %{libvirt_version}
Requires(pre): libvirt-daemon-kvm >= %{libvirt_version}
%endif
# NOTE-1: From RHEL-8 onwards there is no 'qemu-kvm' vs.
#         'qemu-kvm-ev|rhev' RPM split, instead there is only one RPM
#         package: 'qemu-kvm'.
#
#         The 'qemu-kvm' RPM in RHEL-8 allows granular installation of
#         functionality.  I.e. RHEL-8's 'qemu-kvm' RPM pulls in
#         everything, just like it did in RHEL-7.  However, now there is
#         a 'qemu-kvm-core' RPM, which pulls in only the core QEMU
#         functionality.  And several sub-RPMs that provide Block Layer
#         drivers (SSH, Curl, GlusterFS, iSCSI, RBD, etc).
#
# NOTE-2: Explicitly conditionalize on RHEL-8, as we have to
#         re-evaluate the QEMU and libvirt version strings for each RHOS
#         / RHEL release.
#
# NOTE-3: We're using "Requires(pre)" (instead of "Requires") as a
#         safety check, so that when the 'nova' user is added to the
#         'qemu' and 'libvirt' groups in the %pre section, those
#         groups are guaranteed to exist.
%if 0%{?rhel} == 8
Requires(pre): qemu-kvm-core >= %{qemu_version}
Requires(pre): qemu-kvm-block-rbd >= %{qemu_version}
Requires(pre): qemu-kvm-block-ssh >= %{qemu_version}
Requires(pre): python3-libvirt >= %{libvirt_version}
Requires(pre): libvirt-daemon-driver-nodedev >= %{libvirt_version}
Requires(pre): libvirt-daemon-driver-nwfilter >= %{libvirt_version}
Requires(pre): libvirt-daemon-driver-secret >= %{libvirt_version}
Requires(pre): libvirt-daemon-driver-qemu >= %{libvirt_version}
Requires(pre): libvirt-daemon-driver-storage-core >= %{libvirt_version}
%endif
%if 0%{?with_novanet}
Requires:         bridge-utils
%endif
Requires:         sg3_utils
Requires:         sysfsutils
Requires:         libosinfo

# Handle python2 exception
%if %{pyver} == 2
Requires:         python-libguestfs
Requires:         libvirt-python
%else
Requires:         python%{pyver}-libguestfs
Requires:         python3-libvirt
%endif
# Handle python2 exception


%description compute
%{common_desc}

This package contains the Nova service for controlling Virtual Machines.


%if 0%{?with_novanet}
%package network
Summary:          OpenStack Nova Network control service

Requires:         openstack-nova-common = %{epoch}:%{version}-%{release}
Requires:         radvd
Requires:         bridge-utils
Requires:         dnsmasq
Requires:         dnsmasq-utils
Requires:         ebtables
Requires:         conntrack-tools

%description network
%{common_desc}

This package contains the Nova service for controlling networking.
%endif # with_novanet


%package scheduler
Summary:          OpenStack Nova VM distribution service

Requires:         openstack-nova-common = %{epoch}:%{version}-%{release}

%description scheduler
%{common_desc}

This package contains the service for scheduling where
to run Virtual Machines in the cloud.


%package api
Summary:          OpenStack Nova API services

Requires:         openstack-nova-common = %{epoch}:%{version}-%{release}
Requires:         python%{pyver}-cinderclient >= 3.3.0

%description api
%{common_desc}

This package contains the Nova services providing programmatic access.

%package conductor
Summary:          OpenStack Nova Conductor services

Requires:         openstack-nova-common = %{epoch}:%{version}-%{release}

%description conductor
%{common_desc}

This package contains the Nova services providing database access for
the compute service

%package console
Summary:          OpenStack Nova console access services

Requires:         openstack-nova-common = %{epoch}:%{version}-%{release}
# Handle python2 exception
%if %{pyver} == 2
Requires:         python-websockify
%else
Requires:         python%{pyver}-websockify
%endif

%description console
%{common_desc}

This package contains the Nova services providing
console access services to Virtual Machines.

%package novncproxy
Summary:          OpenStack Nova noVNC proxy service

Requires:         openstack-nova-common = %{epoch}:%{version}-%{release}
Requires:         novnc
# Handle python2 exception
%if %{pyver} == 2
Requires:         python-websockify
%else
Requires:         python%{pyver}-websockify
%endif


%description novncproxy
%{common_desc}

This package contains the Nova noVNC Proxy service that can proxy
VNC traffic over browser websockets connections.

%package spicehtml5proxy
Summary:          OpenStack Nova Spice HTML5 console access service

Requires:         openstack-nova-common = %{epoch}:%{version}-%{release}
# Handle python2 exception
%if %{pyver} == 2
Requires:         python-websockify
%else
Requires:         python%{pyver}-websockify
%endif

%description spicehtml5proxy
%{common_desc}

This package contains the Nova services providing the
spice HTML5 console access service to Virtual Machines.

%package serialproxy
Summary:          OpenStack Nova serial console access service

Requires:         openstack-nova-common = %{epoch}:%{version}-%{release}
# Handle python2 exception
%if %{pyver} == 2
Requires:         python-websockify
%else
Requires:         python%{pyver}-websockify
%endif

%description serialproxy
%{common_desc}

This package contains the Nova services providing the
serial console access service to Virtual Machines.

%package migration
Summary:          OpenStack Nova Migration

Requires:         openstack-nova-compute = %{epoch}:%{version}-%{release}

%description migration
%{common_desc}

This package contains scripts and config to support VM migration in Nova.

%package -n       python%{pyver}-nova
Summary:          Nova Python libraries
%{?python_provide:%python_provide python%{pyver}-nova}

Requires:         openssl
# Require openssh for ssh-keygen
Requires:         openssh
Requires:         sudo

Requires:         python%{pyver}-paramiko >= 2.0.0
Requires:         python%{pyver}-eventlet >= 0.20.0
Requires:         python%{pyver}-iso8601 >= 0.1.11
Requires:         python%{pyver}-netaddr >= 0.7.18
Requires:         python%{pyver}-boto
Requires:         python%{pyver}-stevedore >= 1.20.0
Requires:         python%{pyver}-sqlalchemy >= 1.2.17
Requires:         python%{pyver}-alembic >= 0.8.0
Requires:         python%{pyver}-routes >= 2.3.1
Requires:         python%{pyver}-webob >= 1.8.2
Requires:         python%{pyver}-babel >= 2.3.4
Requires:         python%{pyver}-castellan >= 0.16.0
# FIXME(ykarel) Update to 2.7 once it's available
Requires:         python%{pyver}-cryptography >= 2.1
Requires:         python%{pyver}-cursive >= 0.2.1
Requires:         python%{pyver}-glanceclient >= 1:2.8.0
Requires:         python%{pyver}-greenlet >= 0.4.10
Requires:         python%{pyver}-keystonemiddleware >= 4.20.0
Requires:         python%{pyver}-keystoneauth1 >= 3.16.0
Requires:         python%{pyver}-jinja2
Requires:         python%{pyver}-jsonschema >= 2.6.0
Requires:         python%{pyver}-microversion-parse >= 0.2.1
Requires:         python%{pyver}-neutronclient >= 6.7.0
Requires:         python%{pyver}-novaclient >= 2.30.1
Requires:         python%{pyver}-openstacksdk >= 0.35.0
Requires:         python%{pyver}-os-brick >= 2.6.1
Requires:         python%{pyver}-os-resource-classes >= 0.4.0
Requires:         python%{pyver}-os-traits >= 0.16.0
Requires:         python%{pyver}-oslo-cache >= 1.26.0
Requires:         python%{pyver}-oslo-concurrency >= 3.26.0
Requires:         python%{pyver}-oslo-config >= 2:6.1.0
Requires:         python%{pyver}-oslo-context >= 2.19.2
Requires:         python%{pyver}-oslo-db >= 4.44.0
Requires:         python%{pyver}-oslo-i18n >= 3.15.3
Requires:         python%{pyver}-oslo-log >= 3.36.0
Requires:         python%{pyver}-oslo-messaging >= 10.2.0
Requires:         python%{pyver}-oslo-middleware >= 3.31.0
Requires:         python%{pyver}-oslo-policy >= 1.35.0
Requires:         python%{pyver}-oslo-privsep >= 1.33.2
Requires:         python%{pyver}-oslo-reports >= 1.18.0
Requires:         python%{pyver}-oslo-rootwrap >= 5.8.0
Requires:         python%{pyver}-oslo-serialization >= 2.21.1
Requires:         python%{pyver}-oslo-service >= 1.40.1
Requires:         python%{pyver}-oslo-upgradecheck >= 0.1.1
Requires:         python%{pyver}-oslo-utils >= 3.40.2
Requires:         python%{pyver}-oslo-versionedobjects >= 1.35.0
Requires:         python%{pyver}-os-vif >= 1.14.0
Requires:         python%{pyver}-oslo-vmware >= 1.16.0
Requires:         python%{pyver}-pbr
Requires:         python%{pyver}-prettytable >= 0.7.1
Requires:         python%{pyver}-psutil
Requires:         python%{pyver}-requests >= 2.14.2
Requires:         python%{pyver}-rfc3986 >= 1.1.0
Requires:         python%{pyver}-six >= 1.10.0
Requires:         python%{pyver}-taskflow >= 2.16.0
Requires:         python%{pyver}-tooz >= 1.58.0
Requires:         python%{pyver}-os-service-types >= 1.7.0
Requires:         python%{pyver}-dateutil >= 2.5.3
Requires:         python%{pyver}-futurist >= 1.8.0

# Handle python2 exception
%if %{pyver} == 2
Requires:         python-decorator >= 3.4.0
Requires:         python-enum34
Requires:         python-lxml >= 3.2.1
Requires:         python-ldap
Requires:         python-memcached
Requires:         python-migrate >= 0.11.0
Requires:         python-paste
Requires:         python-paste-deploy >= 1.5.0
Requires:         python-netifaces >= 0.10.4
Requires:         python-retrying
%else
Requires:         python%{pyver}-decorator >= 3.4.0
Requires:         python%{pyver}-lxml >= 3.2.1
Requires:         python%{pyver}-ldap
Requires:         python%{pyver}-memcached
Requires:         python%{pyver}-migrate >= 0.11.0
Requires:         python%{pyver}-paste
Requires:         python%{pyver}-paste-deploy >= 1.5.0
Requires:         python%{pyver}-netifaces >= 0.10.4
Requires:         python%{pyver}-retrying
%endif

%description -n   python%{pyver}-nova
%{common_desc}

This package contains the nova Python library.

%package -n python%{pyver}-nova-tests
Summary:        Nova tests
%{?python_provide:%python_provide python%{pyver}-nova-tests}
Requires:       openstack-nova = %{epoch}:%{version}-%{release}

%description -n python%{pyver}-nova-tests
%{common_desc}

This package contains the nova Python library.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Compute

BuildRequires:    graphviz
# Required by build_sphinx for man and doc building
BuildRequires:    python%{pyver}-openstackdocstheme
BuildRequires:    python%{pyver}-sphinxcontrib-actdiag
BuildRequires:    python%{pyver}-sphinxcontrib-seqdiag
# Required to build module documents
BuildRequires:    python%{pyver}-boto
BuildRequires:    python%{pyver}-eventlet
BuildRequires:    python%{pyver}-barbicanclient
BuildRequires:    python%{pyver}-cinderclient
BuildRequires:    python%{pyver}-keystoneclient
BuildRequires:    python%{pyver}-neutronclient
BuildRequires:    python%{pyver}-os-win
BuildRequires:    python%{pyver}-oslo-config
BuildRequires:    python%{pyver}-oslo-log
BuildRequires:    python%{pyver}-oslo-messaging
BuildRequires:    python%{pyver}-oslo-utils
BuildRequires:    python%{pyver}-rfc3986 >= 1.1.0
BuildRequires:    python%{pyver}-routes
BuildRequires:    python%{pyver}-sphinx
BuildRequires:    python%{pyver}-sphinxcontrib-actdiag
BuildRequires:    python%{pyver}-sphinxcontrib-seqdiag
BuildRequires:    python%{pyver}-sqlalchemy
BuildRequires:    python%{pyver}-webob
BuildRequires:    python%{pyver}-iso8601

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:    python-redis
BuildRequires:    python-zmq
BuildRequires:    python-migrate
%else
BuildRequires:    python%{pyver}-redis
BuildRequires:    python%{pyver}-zmq
BuildRequires:    python%{pyver}-migrate
%endif

%description      doc
%{common_desc}

This package contains documentation files for nova.
%endif

%prep
%autosetup -n nova-%{upstream_version} -S git

find . \( -name .gitignore -o -name .placeholder \) -delete

find nova -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

# Remove the requirements file so that pbr hooks don't add it
# to distutils requiers_dist config
%py_req_cleanup

%build
PYTHONPATH=. oslo-config-generator-%{pyver} --config-file=etc/nova/nova-config-generator.conf
# Generate a sample policy.yaml file for documentation purposes only
PYTHONPATH=. oslopolicy-sample-generator-%{pyver} --config-file=etc/nova/nova-policy-generator.conf

%{pyver_build}

# Generate i18n files
# (amoralej) we can remove '-D nova' once https://review.openstack.org/#/c/439500/ is merged
%{pyver_bin} setup.py compile_catalog -d build/lib/nova/locale -D nova

# Avoid http://bugzilla.redhat.com/1059815. Remove when that is closed
sed -i 's|group/name|group;name|; s|\[DEFAULT\]/|DEFAULT;|' etc/nova/nova.conf.sample

# Programmatically update defaults in sample config
# which is installed at /etc/nova/nova.conf

#  First we ensure all values are commented in appropriate format.
#  Since icehouse, there was an uncommented keystone_authtoken section
#  at the end of the file which mimics but also conflicted with our
#  distro editing that had been done for many releases.
sed -i '/^[^#[]/{s/^/#/; s/ //g}; /^#[^ ]/s/ = /=/' etc/nova/nova.conf.sample

#  TODO: Make this more robust
#  Note it only edits the first occurrence, so assumes a section ordering in sample
#  and also doesn't support multi-valued variables like dhcpbridge_flagfile.
while read name eq value; do
  test "$name" && test "$value" || continue
  sed -i "0,/^# *$name=/{s!^# *$name=.*!#$name=$value!}" etc/nova/nova.conf.sample
done < %{SOURCE1}

%install
%{pyver_install}

export PYTHONPATH=.
%if 0%{?with_doc}
sphinx-build-%{pyver} -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%if 0%{?with_doc}
sphinx-build-%{pyver} -b man doc/source doc/build/man
mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m 644 doc/build/man/*.1 %{buildroot}%{_mandir}/man1/
%endif

# Setup directories
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/buckets
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/instances
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/keys
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/networks
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/tmp
install -d -m 750 %{buildroot}%{_localstatedir}/log/nova
install -d -m 700 %{buildroot}%{_sharedstatedir}/nova/.ssh

# Install config files
install -d -m 755 %{buildroot}%{_sysconfdir}/nova
install -p -D -m 640 %{SOURCE1} %{buildroot}%{_datarootdir}/nova/nova-dist.conf
install -p -D -m 640 etc/nova/nova.conf.sample  %{buildroot}%{_sysconfdir}/nova/nova.conf
install -p -D -m 640 etc/nova/rootwrap.conf %{buildroot}%{_sysconfdir}/nova/rootwrap.conf
install -p -D -m 640 etc/nova/api-paste.ini %{buildroot}%{_sysconfdir}/nova/api-paste.ini
install -d -m 755 %{buildroot}%{_sysconfdir}/nova/migration
install -p -D -m 600 %{SOURCE38} %{buildroot}%{_sysconfdir}/nova/migration/identity
install -p -D -m 644 %{SOURCE39} %{buildroot}%{_sysconfdir}/nova/migration/authorized_keys
install -p -D -m 640 %{SOURCE40} %{buildroot}%{_sysconfdir}/nova/migration/rootwrap.conf
install -d -m 755 %{buildroot}%{_sysconfdir}/nova/migration/rootwrap.d
install -p -D -m 640 %{SOURCE41} %{buildroot}%{_sysconfdir}/nova/migration/rootwrap.d/cold_migration.filters

# Install empty policy.json file to cover rpm updates with untouched policy files.
install -p -D -m 640 %{SOURCE34} %{buildroot}%{_sysconfdir}/nova/policy.json

# Install version info file
cat > %{buildroot}%{_sysconfdir}/nova/release <<EOF
[Nova]
vendor = %{distro}
product = OpenStack Compute
package = %{release}
EOF

# Install initscripts for Nova services
install -p -D -m 644 %{SOURCE10} %{buildroot}%{_unitdir}/openstack-nova-api.service
install -p -D -m 644 %{SOURCE12} %{buildroot}%{_unitdir}/openstack-nova-compute.service
install -p -D -m 644 %{SOURCE15} %{buildroot}%{_unitdir}/openstack-nova-scheduler.service
install -p -D -m 644 %{SOURCE18} %{buildroot}%{_unitdir}/openstack-nova-xvpvncproxy.service
install -p -D -m 644 %{SOURCE19} %{buildroot}%{_unitdir}/openstack-nova-console.service
install -p -D -m 644 %{SOURCE25} %{buildroot}%{_unitdir}/openstack-nova-metadata-api.service
install -p -D -m 644 %{SOURCE26} %{buildroot}%{_unitdir}/openstack-nova-conductor.service
install -p -D -m 644 %{SOURCE28} %{buildroot}%{_unitdir}/openstack-nova-spicehtml5proxy.service
install -p -D -m 644 %{SOURCE29} %{buildroot}%{_unitdir}/openstack-nova-novncproxy.service
install -p -D -m 644 %{SOURCE31} %{buildroot}%{_unitdir}/openstack-nova-serialproxy.service
install -p -D -m 644 %{SOURCE32} %{buildroot}%{_unitdir}/openstack-nova-os-compute-api.service

%if 0%{?with_novanet}
install -p -D -m 644 %{SOURCE13} %{buildroot}%{_unitdir}/openstack-nova-network.service
%else
rm -f %{buildroot}%{_bindir}/nova-network
rm -f %{buildroot}%{_bindir}/nova-dhcpbridge
%endif

# Install sudoers
install -p -D -m 440 %{SOURCE24} %{buildroot}%{_sysconfdir}/sudoers.d/nova
install -p -D -m 440 %{SOURCE35} %{buildroot}%{_sysconfdir}/sudoers.d/nova_migration

# Install nova ssh client config for migration
install -p -D -m 600 %{SOURCE36} %{buildroot}%{_sharedstatedir}/nova/.ssh/config

# Install nova migration ssh wrapper command
install -p -D -m 755 %{SOURCE37} %{buildroot}%{_bindir}/nova-migration-wrapper

%if %{pyver} == 3
# Fix shebangs for Python 3-only distros
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_bindir}/nova-migration-wrapper
%endif

# Install logrotate
install -p -D -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-nova

# Install pid directory
install -d -m 755 %{buildroot}%{_localstatedir}/run/nova

# Install template files
install -p -D -m 644 %{SOURCE22} %{buildroot}%{_datarootdir}/nova/interfaces.template

# Install rootwrap files in /usr/share/nova/rootwrap
mkdir -p %{buildroot}%{_datarootdir}/nova/rootwrap/
install -p -D -m 644 etc/nova/rootwrap.d/* %{buildroot}%{_datarootdir}/nova/rootwrap/

# Install novncproxy service options template
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 0644 %{SOURCE30} %{buildroot}%{_sysconfdir}/sysconfig/openstack-nova-novncproxy

# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{pyver_sitelib}/nova/locale/*/LC_*/nova*po
rm -f %{buildroot}%{pyver_sitelib}/nova/locale/*pot
mv %{buildroot}%{pyver_sitelib}/nova/locale %{buildroot}%{_datadir}/locale

# Find language files
%find_lang nova --all-name

# Remove unneeded in production stuff
rm -f %{buildroot}%{_bindir}/nova-debug
rm -fr %{buildroot}%{pyver_sitelib}/run_tests.*
rm -f %{buildroot}%{_bindir}/nova-combined
rm -f %{buildroot}/usr/share/doc/nova/README*

# Remove duplicated configuration files deployed at /usr/etc
rm -rf %{buildroot}%{_prefix}/etc/nova

# FIXME(jpena): unit tests are taking too long in the current DLRN infra
# Until we have a better architecture, let's not run them when under DLRN
%if 0%{!?dlrn}
%check
# create a fake os_xenapi with just enough to load the unit tests
mkdir -p os_xenapi

touch os_xenapi/__init__.py

cat > os_xenapi/client.py <<EOF
class session:
    def XenAPISession():
        pass
XenAPI = None
exception = None
EOF

# Limit the number of concurrent workers to 2
OS_TEST_PATH=./nova/tests/unit ostestr -c 2 --black-regex 'xenapi|test_compute_xen'
rm -rf os_xenapi
%endif

%pre common
getent group nova >/dev/null || groupadd -r nova --gid 162
if ! getent passwd nova >/dev/null; then
  useradd -u 162 -r -g nova -G nova,nobody -d %{_sharedstatedir}/nova -s /sbin/nologin -c "OpenStack Nova Daemons" nova
fi
exit 0

%pre compute
usermod -a -G qemu nova
usermod -a -G libvirt nova
%pre migration
getent group nova_migration >/dev/null || groupadd -r nova_migration
getent passwd nova_migration >/dev/null || \
    useradd -r -g nova_migration -d / -s /bin/bash -c "OpenStack Nova Migration" nova_migration
exit 0

%post compute
%systemd_post %{name}-compute.service
%if 0%{?with_novanet}
%post network
%systemd_post %{name}-network.service
%endif
%post scheduler
%systemd_post %{name}-scheduler.service
%post api
%systemd_post %{name}-api.service %{name}-metadata-api.service %{name}-os-compute-api.service
%post conductor
%systemd_post %{name}-conductor.service
%post console
%systemd_post %{name}-console.service %{name}-xvpvncproxy.service
%post novncproxy
%systemd_post %{name}-novncproxy.service
%post spicehtml5proxy
%systemd_post %{name}-spicehtml5proxy.service
%post serialproxy
%systemd_post %{name}-serialproxy.service

%preun compute
%systemd_preun %{name}-compute.service
%if 0%{?with_novanet}
%preun network
%systemd_preun %{name}-network.service
%endif
%preun scheduler
%systemd_preun %{name}-scheduler.service
%preun api
%systemd_preun %{name}-api.service %{name}-metadata-api.service %{name}-os-compute-api.service
%preun conductor
%systemd_preun %{name}-conductor.service
%preun console
%systemd_preun %{name}-console.service %{name}-xvpvncproxy.service
%preun novncproxy
%systemd_preun %{name}-novncproxy.service
%preun spicehtml5proxy
%systemd_preun %{name}-spicehtml5proxy.service
%preun serialproxy
%systemd_preun %{name}-serialproxy.service

%postun compute
%systemd_postun_with_restart %{name}-compute.service
%if 0%{?with_novanet}
%postun network
%systemd_postun_with_restart %{name}-network.service
%endif
%postun scheduler
%systemd_postun_with_restart %{name}-scheduler.service
%postun api
%systemd_postun_with_restart %{name}-api.service %{name}-metadata-api.service %{name}-os-compute-api.service
%postun conductor
%systemd_postun_with_restart %{name}-conductor.service
%postun console
%systemd_postun_with_restart %{name}-console.service %{name}-xvpvncproxy.service
%postun novncproxy
%systemd_postun_with_restart %{name}-novncproxy.service
%postun spicehtml5proxy
%systemd_postun_with_restart %{name}-spicehtml5proxy.service
%postun serialproxy
%systemd_postun_with_restart %{name}-serialproxy.service

%files

%files common -f nova.lang
%license LICENSE
%doc etc/nova/policy.yaml.sample
%dir %{_datarootdir}/nova
%attr(-, root, nova) %{_datarootdir}/nova/nova-dist.conf
%{_datarootdir}/nova/interfaces.template
%{_datarootdir}/nova/rootwrap/network.filters
%dir %{_sysconfdir}/nova
%{_sysconfdir}/nova/release
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/nova.conf
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/api-paste.ini
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/rootwrap.conf
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/policy.json
%config(noreplace) %{_sysconfdir}/logrotate.d/openstack-nova
%config(noreplace) %{_sysconfdir}/sudoers.d/nova

%dir %attr(0750, nova, root) %{_localstatedir}/log/nova
%dir %attr(0755, nova, root) %{_localstatedir}/run/nova

%{_bindir}/nova-manage
%{_bindir}/nova-policy
%{_bindir}/nova-rootwrap
%{_bindir}/nova-rootwrap-daemon
%{_bindir}/nova-status

%if 0%{?with_doc}
%{_mandir}/man1/nova*.1.gz
%endif

%defattr(-, nova, nova, -)
%dir %{_sharedstatedir}/nova
%dir %{_sharedstatedir}/nova/buckets
%dir %{_sharedstatedir}/nova/instances
%dir %{_sharedstatedir}/nova/keys
%dir %{_sharedstatedir}/nova/networks
%dir %{_sharedstatedir}/nova/tmp

%files compute
%{_bindir}/nova-compute
%{_unitdir}/openstack-nova-compute.service
%{_datarootdir}/nova/rootwrap/compute.filters

%if 0%{?with_novanet}
%files network
%{_bindir}/nova-network
%{_bindir}/nova-dhcpbridge
%{_unitdir}/openstack-nova-network.service
%endif

%files scheduler
%{_bindir}/nova-scheduler
%{_unitdir}/openstack-nova-scheduler.service

%files api
%{_bindir}/nova-api*
%{_bindir}/nova-metadata-wsgi
%{_unitdir}/openstack-nova-*api.service
%{_datarootdir}/nova/rootwrap/api-metadata.filters

%files conductor
%{_bindir}/nova-conductor
%{_unitdir}/openstack-nova-conductor.service

%files console
%{_bindir}/nova-console*
%{_bindir}/nova-xvpvncproxy
%{_unitdir}/openstack-nova-console*.service
%{_unitdir}/openstack-nova-xvpvncproxy.service

%files novncproxy
%{_bindir}/nova-novncproxy
%{_unitdir}/openstack-nova-novncproxy.service
%config(noreplace) %{_sysconfdir}/sysconfig/openstack-nova-novncproxy

%files spicehtml5proxy
%{_bindir}/nova-spicehtml5proxy
%{_unitdir}/openstack-nova-spicehtml5proxy.service

%files serialproxy
%{_bindir}/nova-serialproxy
%{_unitdir}/openstack-nova-serialproxy.service

%files migration
%{_bindir}/nova-migration-wrapper
%config(noreplace) %{_sysconfdir}/sudoers.d/nova_migration
%dir %attr(0700, nova, nova) %{_sharedstatedir}/nova/.ssh
%attr(0600, nova, nova) %{_sharedstatedir}/nova/.ssh/config
%dir %{_sysconfdir}/nova/migration
%config(noreplace) %attr(0640, root, nova_migration) %{_sysconfdir}/nova/migration/authorized_keys
%config(noreplace) %attr(0600, nova, nova) %{_sysconfdir}/nova/migration/identity
%config(noreplace) %attr(0640, root, root) %{_sysconfdir}/nova/migration/rootwrap.conf
%dir %{_sysconfdir}/nova/migration/rootwrap.d
%config(noreplace) %attr(0640, root, root) %{_sysconfdir}/nova/migration/rootwrap.d/cold_migration.filters

%files -n python%{pyver}-nova
%license LICENSE
%{pyver_sitelib}/nova
%{pyver_sitelib}/nova-*.egg-info
%exclude %{pyver_sitelib}/nova/tests

%files -n python%{pyver}-nova-tests
%license LICENSE
%{pyver_sitelib}/nova/tests

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Tue May 09 2023 Jon Schlueter <jschluet@redhat.com> 1:20.4.1-1.20221005193232
- Enable use of service user token with admin context (rhbz#2186886)
- Use force=True for os-brick disconnect during delete (rhbz#2186886)

* Thu Mar 02 2023 Lon Hohberger <lhh@redhat.com> 1:20.4.1-1.20221005193231.1ee93b9
- [DOWNSTREAM-ONLY] Pass output_format=json to qemu_img_info() (rhbz#2162750)
- [DONWSTREAM ONLY] Disable unsupported virt drivers unit tests (rhbz#2162750)
- [stable-only] Add binary test dependency "python3-devel" for py3 based RPM distros. (rhbz#2162750)
- [stable-only] Pin virtualenv and setuptools (rhbz#2162750)
- [stable-only] Cap bandit to 1.6.2 and raise hacking, flake8 and stestr (rhbz#2162750)
- Move 'check-cherry-picks' test to gate, n-v check (rhbz#2162750)

* Thu Feb 02 2023 Lon Hohberger <lhh@redhat.com> 1:20.4.1-1.20221005193230.1ee93b9
- [stable-only][cve] Check VMDK create-type against an allowed list (rhbz#2162750)

* Wed Oct 05 2022 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20221005193229.1ee93b9
- libvirt: Abort live-migration job when monitoring fails (rhbz#2074219)

* Fri Jul 29 2022 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20220729073349.1ee93b9
- Store old_flavor already on source host during resize (rhbz#2107088)
- Reproduce bug 1944759 (rhbz#2107088)

* Wed Jun 22 2022 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20220622143400.1ee93b9
- fup: Assert state of connection_info during LM rollback in func tests (rhbz#2089382)
- func: Add live migration rollback volume attachment tests (rhbz#2089382)
- compute: Ensure updates to bdms during pre_live_migration are saved (rhbz#2089382)
- Add a regression test for bug 1939545 (rhbz#2089382)
- functional: Use tempdir for CONF.instances_path (rhbz#2089382)
- tests: work around malformed serial XML (rhbz#2089382)
- fake: Ensure need_legacy_block_device_info returns False (rhbz#2089382)

* Tue May 24 2022 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20220524123356.1ee93b9
- Ignore plug_vifs on the ironic driver (rhbz#1982996)

* Thu May 12 2022 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20220512183446.1ee93b9
- Lookup nic feature by PCI address (rhbz#1948647)

* Fri Apr 29 2022 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20220429124637.1ee93b9
- libvirt: Add a workaround to skip compareCPU() on destination (rhbz#2076884)

* Tue Apr 26 2022 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20220427015159.1ee93b9
- Fix request path to query a resource provider by uuid (rhbz#2068379)

* Mon Mar 21 2022 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20220321173358.1ee93b9
- libvirt: Simplify device_path check in _detach_encryptor (rhbz#2000220)

* Tue Mar 08 2022 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20220308184057.1ee93b9
- api: Reject duplicate port IDs in server create (rhbz#1633759 rhbz#1633759)

* Mon Mar 07 2022 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20220307123812.1ee93b9
- libvirt: Add announce-self post live-migration workaround (rhbz#2042162)

* Wed Jan 12 2022 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20220112153422.1ee93b9
- Ensure MAC addresses characters are in the same case (rhbz#2020313)

* Fri Nov 19 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20211120013456.1ee93b9
- Fix inactive session error in compute node creation (rhbz#2002773)
- Prevent deletion of a compute node belonging to another host (rhbz#2002773)
- Invalidate provider tree when compute node disappears (rhbz#2002773)
- Clear rebalanced compute nodes from resource tracker (rhbz#2002773)
- Add functional regression test for bug 1853009 (rhbz#2002773)

* Tue Nov 02 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20211102233430.1ee93b9
- Revert "address open redirect with 3 forward slashes" (rhbz#1961351)

* Fri Oct 15 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20211015153626.1ee93b9
- Handle disabled CPU features to fix live migration failures (rhbz#2010638)

* Wed Sep 22 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20210922203313.1ee93b9
- address open redirect with 3 forward slashes (rhbz#1961351)
- Revert "Reject open redirection in the console proxy" (rhbz#1961351)

* Fri Sep 10 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20210911033306.1ee93b9
- Sanity check instance mapping during scheduling (rhbz#2003258)

* Fri Sep 03 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20210903163306.1ee93b9
- nova-manage: Introduce volume show, refresh, get_connector commands (rhbz#1999588)

* Mon Aug 09 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20210809183306.1ee93b9
- Allow deletion of compute service with no compute nodes (rhbz#1977667)
- Reproducer unit test for bug 1860312 (rhbz#1977667)

* Thu Jul 08 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20210708183304.1ee93b9
- Reject open redirection in the console proxy (rhbz#1961351)
- Honor [neutron]http_retries in the manual client (rhbz#1955031)
- Fix max cpu topologies with numa affinity (rhbz#1915097)
- Test numa and vcpu topologies bug: #1910466 (rhbz#1915097)

* Wed Jul 07 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20210707123309.1ee93b9
- libvirt: Do not destroy volume secrets during _hard_reboot (rhbz#1979850)
- Trival Change: Remove redundant code in instance delete (rhbz#1979850)
- Handle unset 'connection_info' (rhbz#1979850)
- Detach is broken for multi-attached fs-based volumes (rhbz#1979850)
- virt: Add destroy_secrets kwarg to destroy and cleanup (rhbz#1979850)

* Wed Jun 16 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20210616163312.1ee93b9
- [Downstream-only] Resolve pep8 issues (rhbz#1961220)

* Wed Jun 16 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20210616134303.1ee93b9
- Update patches

* Wed Jun 16 2021 Stephen Finucane <stephenfin@redhat.com> 1:20.4.1-1.20210528141851
- Ignore PCI devices with 32bit domain (rhbz#1961220)
- Reproduce bug 1897528 (rhbz#1961220)

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20210528141850.1ee93b9
- Update patches

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20210520083302.1ee93b9
- Update patches

* Thu May 20 2021 Slawek Kaplonski <skaplons@redhat.com> 1:20.4.1-1.20210510133324
- [neutron] Get only ID and name of the SGs from Neutron (rhbz#1937705)

* Mon May 10 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.1-1.20210510133323.1ee93b9
- guestfs: With libguestfs >= v1.41.1 decode returned bytes to string (rhbz#1952902)

* Fri Apr 09 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.0-1
- Update patches

* Fri Apr 09 2021 Lee Yarwood <lyarwood@redhat.com> 1:20.4.1-1.20210406183727
- Set migrate_data.vifs only when using multiple port bindings (rhbz#1944751)
- add functional regression test for bug #1888395 (rhbz#1944751)

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.0-1
- Update patches

* Tue Apr 06 2021 melanie witt <melwitt@redhat.com> 1:20.4.1-1.20210402063535
- Reset global wsgi app state in unit test (rhbz#1945452)
- Initialize global data separately and run_once in WSGI app init (rhbz#1945452)

* Fri Apr 02 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.0-1
- Update patches

* Fri Apr 02 2021 melanie witt <melwitt@redhat.com> 1:20.4.1-1.20210401223534
- Dynamically archive FK related records in archive_deleted_rows (rhbz#1944913)

* Thu Apr 01 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.0-1
- Add functional test for bug 1837995 (rhbz#1944913)
- Centralize sqlite FK constraint enforcement (rhbz#1944913)

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.0-1
- Update patches

* Tue Mar 23 2021 Lee Yarwood <lyarwood@redhat.com> 1:20.4.1-1.20210310122659
- Use absolute path during qemu img rebase (rhbz#1939413)
- Make _rebase_with_qemu_img() generic (rhbz#1939413)

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> 1:20.4.0-1
- Update patches

* Wed Feb 24 2021 melanie witt <melwitt@redhat.com> 1:20.4.1-1.20201114041754
- Disallow CONF.compute.max_disk_devices_to_attach = 0 (rhbz#1924407)

* Fri Feb 19 2021 Lee Yarwood <lyarwood@redhat.com> 1:20.4.1-1.20201114041753
- libvirt: Only ask tpool.Proxy to autowrap vir* classes (rhbz#1930542)

* Fri Feb 19 2021 Lee Yarwood <lyarwood@redhat.com> 1:20.4.1-1.20201114041752
- only wait for plugtime events in pre-live-migration (rhbz#1930432)

* Thu Feb 04 2021 Lee Yarwood <lyarwood@redhat.com> 1:20.4.1-1.20201114041751
- libvirt: Use specific user when probing encrypted rbd disks during extend (rhbz#1923307)

* Tue Feb 02 2021 Stephen Finucane <stephenfin@redhat.com> 1:20.4.1-1.20201114041750
- utils: Remove periods from instance hostnames (rhbz#1872314)

* Mon Feb 01 2021 Artom Lifshitz <alifshit@redhat.com> 1:20.4.1-1.20201114041749
- Test for disabling greendns (rhbz#1860818)
- Correctly disable greendns (rhbz#1860818)

* Thu Jan 14 2021 Stephen Finucane <stephenfin@redhat.com> 1:20.4.1-1.20201114041748
- libvirt: 'video.vram' property must be an integer (rhbz#1852324)

* Thu Jan 07 2021 melanie witt <melwitt@redhat.com> 1:20.4.1-1.20201114041747
- Omit resource inventories from placement update if zero (rhbz#1889723)

* Thu Dec 24 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.4.1-1.20201114041746
- compute: Don't detach volumes when RescheduledException raised without retry (rhbz#1910094)
- Add regression test for bug #1899649 (rhbz#1910094)

* Thu Dec 10 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.4.1-1.20201114041745
- libvirt: Skip encryption metadata lookups if secret already exists on host (rhbz#1905016)

* Wed Dec 02 2020 Stephen Finucane <stephenfin@redhat.com> 1:20.4.1-1.20201114041744
- Validate id as integer for os-aggregates (rhbz#1902225)

* Mon Nov 23 2020 Stephen Finucane <stephenfin@redhat.com> 1:20.4.1-1.20201114041743
- Add missing exception (rhbz#1899686)

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.4.0-1
- Update patches

* Thu Nov 05 2020 melanie witt <melwitt@redhat.com> 1:20.4.1-1.20200917173452
- Prevent archiving of pci_devices records because of 'instance_uuid' (rhbz#1894277)

* Thu Nov 05 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.4.1-1.20200917173451
- Use subqueryload() instead of joinedload() for (system_)metadata (rhbz#1884539)

* Wed Oct 21 2020 melanie witt <melwitt@redhat.com> 1:20.4.1-1.20200917173450
- Add a workaround config toggle to refuse ceph image upload (rhbz#1886084)
- Pass allocations to virt drivers when resizing (rhbz#1844372)
- Allocate mdevs when resizing or reverting resize (rhbz#1844372)
- Move revert resize under semaphore (rhbz#1850400)
- Move confirm resize under semaphore (rhbz#1850400)
- Don't unset Instance.old_flavor, new_flavor until necessary (rhbz#1850400)
- Add generic reproducer for bug #1879878 (rhbz#1850400)
- tests: Add reproducer for bug #1879878 (rhbz#1850400)
- Helper to start computes with different HostInfos (rhbz#1850400)
- func tests: move _run_periodics() into base class (rhbz#1850400)
- Only allow one scheduler service in tests (rhbz#1850400)

* Thu Sep 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.4.0-1
- Update patches

* Thu Sep 17 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.4.1-1.20200916192205
- compute: Skip cinder_encryption_key_id check when booting from volume (rhbz#1879190)
- Create volume attachment during boot from volume in compute (rhbz#1879190)
- Add regression test for bug #1895696 (rhbz#1879190)

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.4.0-1
- libvirt: Drop the downstream only ``arch-facilities`` CPU feature from cpu_info (rhbz#1867128)
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- post live migration: don't call Neutron needlessly

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.4.0-1
- libvirt: Drop the downstream only ``arch-facilities`` CPU feature from cpu_info (rhbz#1867128)
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Add note and daxio version to the vPMEM document

* Mon Sep 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.4.0-1
- post live migration: don't call Neutron needlessly (rhbz#1877837)
- libvirt: Drop the downstream only ``arch-facilities`` CPU feature from cpu_info (rhbz#1867128)
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Removed the host FQDN from the exception message
- Add checks for volume status when rebuilding
- hardware: Reject requests for no hyperthreads on hosts with HT
- tests: Add reproducer for bug #1889633

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.4.0-1
- libvirt: Drop the downstream only ``arch-facilities`` CPU feature from cpu_info (rhbz#1867128)
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- compute: Don't delete the original attachment during pre LM rollback
- compute: refactor volume bdm rollback error handling

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.4.0-1
- compute: Don't delete the original attachment during pre LM rollback (rhbz#1868159)
- libvirt: Drop the downstream only ``arch-facilities`` CPU feature from cpu_info (rhbz#1867128)
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Add regression tests for bug #1889108

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.4.0-1
- Update patches

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- Update patches

* Wed Sep 02 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.4.0-1.20200901093832
- compute: Don't delete the original attachment during pre LM rollback (rhbz#1868159)
- compute: refactor volume bdm rollback error handling (rhbz#1868159)
- Add regression tests for bug #1889108 (rhbz#1868159)

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- libvirt: Drop the downstream only ``arch-facilities`` CPU feature from cpu_info (rhbz#1867128)
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- libvirt: Do not reference VIR_ERR_DEVICE_MISSING when libvirt is < v4.1.0
- libvirt: Handle VIR_ERR_DEVICE_MISSING when detaching devices

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- libvirt: Drop the downstream only ``arch-facilities`` CPU feature from cpu_info (rhbz#1867128)
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- libvirt: Provide VIR_MIGRATE_PARAM_PERSIST_XML during live migration

* Mon Aug 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- Update patches

* Mon Aug 24 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.3.1-1.20200810113411.2442345
- libvirt: Provide VIR_MIGRATE_PARAM_PERSIST_XML during live migration (rhbz#1862353)

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- libvirt: Drop the downstream only ``arch-facilities`` CPU feature from cpu_info (rhbz#1867128)
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- catch libvirt exception when nodedev not found.

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- Update patches

* Fri Aug 07 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.3.1-1.20200805233434
- libvirt: Drop the downstream only ``arch-facilities`` CPU feature from cpu_info (rhbz#1867128)

* Wed Aug 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Silence amqp heartbeat warning

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Handle multiple 'vcpusched' elements during live migrate

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- Update patches

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- objects: Update keypairs when saving an instance

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- Update patches

* Tue Jul 28 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.3.1-0.20200721043421.7e91134
- libvirt: Handle VIR_ERR_DEVICE_MISSING when detaching devices (rhbz#1861140)

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- zuul: remove legacy-tempest-dsvm-neutron-dvr-multinode-full
- compute: Allow snapshots to be created from PAUSED volume backed instances

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- compute: Allow snapshots to be created from PAUSED volume backed instances (rhbz#1838668)
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Correct reported system memory

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- compute: Allow snapshots to be created from PAUSED volume backed instances (rhbz#1838668)
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- libvirt: Mark e1000e VIF as supported

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- Update patches

* Fri Jul 17 2020 melanie witt <melwitt@redhat.com> 1:20.3.1-0.20200711123422.58c9c3f
- Allow versioned discovery unauthenticated (rhbz#1822756)
- Repro bug 1845530: versioned discovery is authed (rhbz#1822756)
- Stop using NoAuthMiddleware in tests (rhbz#1822756)

* Sat Jul 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- compute: Allow snapshots to be created from PAUSED volume backed instances (rhbz#1838668)
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- hardware: Raise useful error for invalid mempage size

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- compute: Allow snapshots to be created from PAUSED volume backed instances (rhbz#1838668)
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Guard against missing image cache directory

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- Update patches

* Thu Jul 09 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.3.1-0.20200708153424.5e36e91
- compute: Allow snapshots to be created from PAUSED volume backed instances (rhbz#1838668)

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Fix cherry-pick check for merge patch

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- Update patches

* Mon Jul 06 2020 Artom Lifshitz <alifshit@redhat.com> 1:20.3.1-0.20200626213433.38ee1f3
- catch libvirt exception when nodedev not found. (rhbz#1847924)

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Remove stale nested backport from InstancePCIRequests

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Check cherry-pick hashes in pep8 tox target

* Tue Jun 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- Update patches

* Tue Jun 16 2020 Artom Lifshitz <alifshit@redhat.com> 1:20.3.1-0.20200615113446.1a320f2
- Add a placement audit command (rhbz#1834938)

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.3.0-1
- Update patches

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.2.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- libvirt: Don't delete disks on shared storage during evacuate

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.2.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Add functional test for bug 1550919

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.2.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Add admin doc information about image cache resource accounting
- Reserve DISK_GB resource for the image cache

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.2.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- fix scsi disk unit number of the attaching volume when cdrom bus is scsi

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.2.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Make quotas respect instance_list_per_project_cells

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.2.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Revert "nova shared storage: rbd is always shared storage"

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.2.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Update scheduler instance info at confirm resize

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.2.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Reproduce bug 1869050

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.2.0-1
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- [train-only] Cap pycodestyle to < 2.6.0

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.2.0-1
- Update patches

* Tue May 12 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.2.1-0.20200424133448.118ee68
- Revert "nova shared storage: rbd is always shared storage" (rhbz#1834336)

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.2.0-1
- Update patches

* Fri Apr 24 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.2.1-0.20200423183615.118ee68
- workarounds: Add option to locally attach RBD volumes on compute hosts (rhbz#1824115)
- workarounds: Add option to disable native LUKSv1 decryption by QEMU (rhbz#1824116)

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.2.0-1
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Add retry to cinder API calls related to volume detach

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.2.0-1
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-3
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Reject boot request for unsupported images

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-3
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- libvirt: Calculate disk_over_committed for raw instances

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-3
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Abort live-migration during instance_init

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-3
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- bug-fix: Reject live migration with vpmem

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-3
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Add config option for neutron client retries

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-3
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Avoid spurious error logging in _get_compute_nodes_in_db

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-3
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Reset the cell cache for database access in Service

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-3
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- Use placement stable version for functional job

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-3
- Update patches

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-2
- Update patches

* Tue Apr 07 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.1.2-0.20200403073456.28324e6
- libvirt: Use virDomainBlockCopy to swap volumes when using -blockdev (rhbz#1780119)
- libvirt: Check the guest support UEFI (rhbz#1780119)

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-2
- Update patches

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- nova-live-migration: Ensure subnode is fenced during evacuation testing
- libvirt: Provide the backing file format when creating qcow2 disks

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- Update patches

* Thu Mar 26 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.1.2-0.20200320003447.dd16430
- libvirt: Correctly resize encrypted LUKSv1 volumes (rhbz#1816136)
- libvirt: Remove native LUKS compat code (rhbz#1816136)
- virt: Pass request context to extend_volume (rhbz#1816136)
- images: Allow the output format of qemu-img info to be controlled (rhbz#1816136)
- images: Move qemu-img info calls into privsep (rhbz#1816136)

* Thu Mar 26 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.1.2-0.20200320003446.dd16430
- libvirt: Provide the backing file format when creating qcow2 disks (rhbz#1802873)

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- Update patches
- nova-live-migration: Wait for n-cpu services to come up after configuring Ceph

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- Update patches
- Lowercase ironic driver hash ring and ignore case in cache

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- Update patches
- Fix intermittently failing regression case

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- Update patches
- Unplug VIFs as part of cleanup of networks

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- Update patches
- Functional test for UnexpectedDeletingTaskStateError

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- Update patches

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- Update patches
- Fix os-keypairs pagination links

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- Update patches
- Fix hypervisors paginted collection_name.
- Clean up allocation if unshelve fails due to neutron
- Reproduce bug 1862633
- libvirt: Ignore DiskNotFound during update_available_resource
- Recalculate 'RequestSpec.numa_topology' on resize
- Make RBD imagebackend flatten method idempotent
- Set instance CPU policy to 'share' through image property
- Ensure source service is up before resizing/migrating
- libvirt: avoid cpu check at s390x arch

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- Update patches

* Wed Feb 26 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.1.2-0.20200225232948.40c288b
- Make RBD imagebackend flatten method idempotent (rhbz#1797493)

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- Update patches
- Create instance action when burying in cell0

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- Update patches
- Print help if nova-manage subcommand is not specified

* Thu Feb 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- Update patches

* Thu Feb 20 2020 Lee Yarwood <lyarwood@redhat.com> 1:20.1.1-0.20200211145524.8363905
- Reject boot request for unsupported images (rhbz#1801255)

* Tue Feb 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.1-1
- Update patches

* Sun Feb 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.0-1
- Update patches
- Fix instance.hidden migration and querying

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.1.0-1
- Update patches

* Mon Jan 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches

* Mon Jan 06 2020 Stephen Finucane <stephenfin@redhat.com> 1:20.0.2-0.20191230035951.27bfd0b
- support pci numa affinity policies in flavor and image (rhbz#1775575)

* Sun Dec 29 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- libvirt: check job status for VIR_DOMAIN_EVENT_SUSPENDED_MIGRATED event

* Tue Dec 24 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Add func test for 'required' PCI NUMA policy (rhbz#1775575)
- FUP for in-place numa rebuild
- Disable NUMATopologyFilter on rebuild

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Block rebuild when NUMA topology changed
- Remove 'test_cold_migrate_with_physnet_fails' test

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Zuul v3: use devstack-plugin-nfs-tempest-full

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Merge "Cache security group driver" into stable/train
- Cache security group driver

* Sun Dec 15 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Merge "Mask the token used to allow access to consoles" into stable/train
- Revert "docs: Highlight the current broken state of SEV" (partially)
- Create a controller for qga when SEV is used
- Also enable iommu for virtio controllers and video in libvirt
- Switch to uses_virtio to enable iommu driver for AMD SEV
- Mask the token used to allow access to consoles

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Merge "Do not update root_device_name during guest config" into stable/train
- Do not update root_device_name during guest config

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Merge "block_device: Copy original volume_type when missing for snapshot based volumes" into stable/train
- block_device: Copy original volume_type when missing for snapshot based volumes

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Merge "compute: Take an instance.uuid lock when rebooting" into stable/train
- compute: Use long_rpc_timeout in reserve_block_device_name
- compute: Take an instance.uuid lock when rebooting

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Merge "Reset instance to current vm_state if rolling back in resize_instance" into stable/train
- Reset instance to current vm_state if rolling back in resize_instance

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Replace time.sleep(10) with service forced_down in tests

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Merge "Join migration_context and flavor in Migration.instance" into stable/train
- Join migration_context and flavor in Migration.instance

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Merge "Added openssh-client into bindep" into stable/train
- Merge "Improve metadata server performance with large security groups" into stable/train
- Merge "Block deleting compute services with in-progress migrations" into stable/train
- Merge "Add functional recreate revert resize test for bug 1852610" into stable/train
- Merge "Add functional recreate test for bug 1852610" into stable/train
- Block deleting compute services with in-progress migrations
- Add functional recreate revert resize test for bug 1852610
- Add functional recreate test for bug 1852610
- Improve metadata server performance with large security groups
- Added openssh-client into bindep

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Merge "Don't delete compute node, when deleting service other than nova-compute" into stable/train
- Don't delete compute node, when deleting service other than nova-compute

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Imported Translations from Zanata

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Use admin neutron client to see if instance has qos ports
- Use admin neutron client to gather port resource requests

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches
- Use admin neutron client to query ports for binding

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.1-1
- Update patches

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-1
- Update patches
- Revert "openstack server create" to "nova boot" in nova docs

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-1
- Update patches
- Merge "Nova compute: add in log exception to help debug failures" into stable/train
- Nova compute: add in log exception to help debug failures

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-1
- Update patches
- Merge "Avoid error 500 on shelve task_state race" into stable/train
- Avoid error 500 on shelve task_state race

* Sun Nov 03 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-1
- Update patches
- Imported Translations from Zanata

* Sat Nov 02 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-1
- Update patches
- Merge "Remove redundant call to get/create default security group" into stable/train
- Remove redundant call to get/create default security group

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-1
- Update patches
- Merge "Add regression test for bug 1824435" into stable/train
- Add regression test for bug 1824435

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-1
- Update patches
- Switch to opensuse-15 nodeset

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-1
- Update patches
- libvirt: Ignore volume exceptions during post_live_migration

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-1
- Update patches

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-1
- Update patches
- Merge "Fix listing deleted servers with a marker" into stable/train
- Merge "Add functional regression test for bug 1849409" into stable/train
- Fix listing deleted servers with a marker
- Add functional regression test for bug 1849409
- Revert "vif: Resolve a TODO and update another"

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-1
- Update patches
- Don't populate resources for not-yet-migrated inst
- Func: bug 1849165: mig race with _populate_assigned_resources

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-1
- Update patches
- Merge "Fix exception translation when creating volume" into stable/train
- Merge "Handle get_host_availability_zone error during reschedule" into stable/train
- Merge "Error out interrupted builds" into stable/train
- Update compute rpc version alias for train
- Fix exception translation when creating volume
- Error out interrupted builds
- Handle get_host_availability_zone error during reschedule

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-1
- Update patches
- Fix unit of hw_rng:rate_period

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-0.2.0rc2
- Update patches

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-0.1.0rc1
- Update patches
- Merge "docs: Highlight the current broken state of SEV" into stable/train
- docs: Highlight the current broken state of SEV

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 1:20.0.0-0.1.0rc1
- Update patches
- Restore console proxy deployment info to cells v2 layout doc

* Mon Sep 30 2019 RDO <dev@lists.rdoproject.org> 1:20.0.0-0.1.0rc1
- Update to 20.0.0.0rc1


